sbv-8.7: SMT Based Verification: Symbolic Haskell theorem prover using SMT solving.

Copyright | (c) Levent Erkok
License | BSD3
Maintainer | erkokl@gmail.com
Stability | experimental
Safe Haskell | None
Language | Haskell2010

Documentation.SBV.Examples.Puzzles.DogCatMouse

Description

Synopsis

- puzzle :: IO AllSatResult

# Documentation

puzzle :: IO AllSatResult Source #

Prints the only solution:

    >>> puzzle
    Solution #1:
      dog   =  3 :: Integer
      cat   = 41 :: Integer
      mouse = 56 :: Integer
    This is the only solution.